[
    {
        "id": "86e146ef292c6e70",
        "type": "tab",
        "label": "Flow 1",
        "disabled": false,
        "info": ""
    },
    {
        "id": "6db4c78dedf2b98a",
        "type": "telegram sender",
        "z": "86e146ef292c6e70",
        "name": "",
        "bot": "9897ae730dc81215",
        "haserroroutput": false,
        "outputs": 1,
        "x": 910,
        "y": 340,
        "wires": [
            []
        ]
    },
    {
        "id": "dc3c88b4ee3ab5a2",
        "type": "telegram receiver",
        "z": "86e146ef292c6e70",
        "name": "",
        "bot": "9897ae730dc81215",
        "saveDataDir": "",
        "filterCommands": false,
        "x": 190,
        "y": 240,
        "wires": [
            [
                "7ef36bef0303a28f"
            ],
            []
        ]
    },
    {
        "id": "83a8a506df6cf261",
        "type": "wirenboard-get",
        "z": "86e146ef292c6e70",
        "name": "",
        "server": "06efc8044276af8a",
        "channel": [
            "/devices/hwmon/controls/CPU Temperature"
        ],
        "x": 430,
        "y": 340,
        "wires": [
            [
                "d7c1cfa63f08a47f"
            ]
        ]
    },
    {
        "id": "d7c1cfa63f08a47f",
        "type": "function",
        "z": "86e146ef292c6e70",
        "name": "Prepare message",
        "func": "msg.payload = {chatId: flow.get(\"chatId\"), type: 'message', content: msg.payload};\nreturn msg;",
        "outputs": 1,
        "noerr": 0,
        "initialize": "",
        "finalize": "",
        "libs": [],
        "x": 690,
        "y": 340,
        "wires": [
            [
                "6db4c78dedf2b98a"
            ]
        ]
    },
    {
        "id": "7ef36bef0303a28f",
        "type": "function",
        "z": "86e146ef292c6e70",
        "name": "Save chatId",
        "func": "flow.set(\"chatId\",msg.payload.chatId);",
        "outputs": 1,
        "noerr": 0,
        "initialize": "",
        "finalize": "",
        "libs": [],
        "x": 390,
        "y": 240,
        "wires": [
            []
        ]
    },
    {
        "id": "b2b51bf6fbd66412",
        "type": "telegram command",
        "z": "86e146ef292c6e70",
        "name": "",
        "command": "/temp",
        "description": "",
        "registercommand": false,
        "language": "",
        "scope": "default",
        "bot": "9897ae730dc81215",
        "strict": false,
        "hasresponse": true,
        "useregex": false,
        "removeregexcommand": false,
        "outputs": 2,
        "x": 150,
        "y": 340,
        "wires": [
            [
                "83a8a506df6cf261"
            ],
            []
        ]
    },
    {
        "id": "114f222c31d23b65",
        "type": "telegram command",
        "z": "86e146ef292c6e70",
        "name": "",
        "command": "/status",
        "description": "",
        "registercommand": false,
        "language": "",
        "scope": "default",
        "bot": "9897ae730dc81215",
        "strict": false,
        "hasresponse": true,
        "useregex": false,
        "removeregexcommand": false,
        "outputs": 2,
        "x": 150,
        "y": 440,
        "wires": [
            [
                "cf187ba54ca0257f"
            ],
            []
        ]
    },
    {
        "id": "cf187ba54ca0257f",
        "type": "wirenboard-get",
        "z": "86e146ef292c6e70",
        "name": "",
        "server": "06efc8044276af8a",
        "channel": [
            "/devices/hwmon/controls/Board Temperature",
            "/devices/hwmon/controls/CPU Temperature",
            "/devices/system/controls/Current uptime",
            "/devices/system/controls/HW Revision"
        ],
        "x": 390,
        "y": 440,
        "wires": [
            [
                "5b5dab4d46c70542"
            ]
        ]
    },
    {
        "id": "5b5dab4d46c70542",
        "type": "function",
        "z": "86e146ef292c6e70",
        "name": "",
        "func": "var msgNew = {}\nmsgNew.payload = {}\nmsgNew.payload.chatId = flow.get(\"chatId\")\nmsgNew.payload.type = \"message\"\nmsgNew.payload.content = \n        \"Status\"\n        +\"\\n\"\n        +\"\\n\"\n        +\"Board temp: \" +msg.payload[\"/devices/hwmon/controls/Board Temperature\"] + \" °C\"\n        +\"\\n\"\n        +\"CPU temp: \" +msg.payload[\"/devices/hwmon/controls/CPU Temperature\"] + \" °C\"\n        +\"\\n\"\n        +\"Uptime: \" +msg.payload[\"/devices/system/controls/Current uptime\"]\n        +\"\\n\"\n        +\"HW Revision: \" +msg.payload[\"/devices/system/controls/HW Revision\"]\nreturn msgNew",
        "outputs": 1,
        "noerr": 0,
        "initialize": "",
        "finalize": "",
        "libs": [],
        "x": 660,
        "y": 440,
        "wires": [
            [
                "6db4c78dedf2b98a"
            ]
        ]
    },
    {
        "id": "9897ae730dc81215",
        "type": "telegram bot",
        "botname": "wb-wiki-demo",
        "usernames": "insert_you_name",
        "chatids": "",
        "baseapiurl": "",
        "updatemode": "polling",
        "pollinterval": "1000",
        "usesocks": false,
        "sockshost": "",
        "socksport": "6667",
        "socksusername": "anonymous",
        "sockspassword": "",
        "bothost": "",
        "botpath": "",
        "localbotport": "8443",
        "publicbotport": "8443",
        "privatekey": "",
        "certificate": "",
        "useselfsignedcertificate": false,
        "sslterminated": false,
        "verboselogging": false
    },
    {
        "id": "06efc8044276af8a",
        "type": "wirenboard-server",
        "name": "wb-local",
        "host": "localhost",
        "mqtt_port": "1883",
        "mqtt_username": "",
        "mqtt_password": ""
    }
]